import React from "react";
import { IConfigStorage } from "@appglue/common/dist/Common/IConfigStorage";
interface XBuilderEditPageProps {
    builder: IConfigStorage;
    updateCallback: () => void;
}
interface Error {
    issue: string;
    onClick: () => void;
}
interface State {
    content: object;
    allowEdit: boolean;
    errors: Error | undefined;
}
export declare class XBuilderEditPage extends React.Component<XBuilderEditPageProps, State> {
    constructor(props: XBuilderEditPageProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: XBuilderEditPageProps): void;
    onClickSave(): void;
    onChangeAllow(event: React.ChangeEvent<HTMLInputElement>): void;
    onCloseParseJSONDialog: () => void;
    onCloseLeavingDialog: () => void;
    onChange: (newConf: object) => void;
    render(): JSX.Element;
}
export {};
